
QGIS Application - Bug report #455

wrong distnce between outline dashes

2006-12-13 12:13 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 10514

Description

If using a dashed line style, the spacing between dashes is broken. Both in map display and in the printed output. See attachments.

Maciek

History

#1 - 2006-12-15 11:57 AM - Redmine Admin

- Resolution set to invalid

- Status changed from Open to Closed

I presume that you are printing polygons. It is obviously impossible to print boundaries of simple feature polygons with dashed line. Because the boundaries

are duplicate the gaps are overlapped by boundary of adjacent area.

If you realy need dashed boundaries you have to use GRASS layer of boundaries (not areas) which are not duplicated.

Radim

#2 - 2006-12-17 10:14 AM - Redmine Admin

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

Replying to [comment:1 rblazek]:

I presume that you are printing polygons.

Correct.

It is obviously impossible to print boundaries of simple feature polygons with dashed line. Because the boundaries are duplicate the gaps are

overlapped by boundary of adjacent area.

OK as to simple feature polygons (though I wonder if other GIS softwares have the same problem). But the same happens with GRASS areas - dashed

boundaries (not duplicated for sure) are rendered wrong. Why?

If you realy need dashed boundaries you have to use GRASS layer of boundaries (not areas) which are not duplicated.
Thanks for the hint. This works. But it is quite a hassle to have add categories to all the boundaries, add them as another layer to the project and vanish the

boundaries in the area layer - just to able to print boundaries dashed. An overkill and most users will not know how to do it. And first of all - since QGIS

provides a feature to render and print boundaries dashed, while it fails to do it properly, it is a bug.

Maciek

#3 - 2006-12-17 10:29 AM - Redmine Admin

- Resolution set to invalid

- Status changed from Feedback to Closed

QGIS is based on SF so GRASS areas are alos represented as SF. 

Definitely this cannot be fixed, it is NOT BUG, it is feature.

Please dont reopen the ticket.

Radim

#4 - 2006-12-17 10:52 AM - Redmine Admin

Replying to [comment:3 rblazek]:

QGIS is based on SF so GRASS areas are alos represented as SF. 

Definitely this cannot be fixed, it is NOT BUG, it is feature.

It is not a bug beceause it cannot be fixed? That's not logical.

Please dont reopen the ticket.

Sweep the dust under the carpet as you wish.

Maciek

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
